ApiRangerReplicationExportArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiRangerReplicationExportArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRangerReplicationExportArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiRangerReplicationExportArgs
      extends Object

  Arguments for EXPORTING Ranger services and policies, to be replicated later.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRangerReplicationExportArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRangerReplicationExportArgs` | `addRangerServiceNamesItem(String rangerServiceNamesItem)`
    `boolean` | `equals(Object o)`
    `List<String>` | `getRangerServiceNames()` The source Ranger service names to be exported and replicated to the destination.
    `int` | `hashCode()`
    `ApiRangerReplicationExportArgs` | `rangerServiceNames(List<String> rangerServiceNames)`
    `void` | `setRangerServiceNames(List<String> rangerServiceNames)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRangerReplicationExportArgs

          public ApiRangerReplicationExportArgs()

  - ### Method Detail

    - #### rangerServiceNames

          public ApiRangerReplicationExportArgs rangerServiceNames(List<String> rangerServiceNames)

    - #### addRangerServiceNamesItem

          public ApiRangerReplicationExportArgs addRangerServiceNamesItem(String rangerServiceNamesItem)

    - #### getRangerServiceNames

          public List<String> getRangerServiceNames()

      The source Ranger service names to be exported and replicated to the destination. <p> This field is mandatory and cannot be null or empty! <br/> Example: [\"cm_hdfs\", \"cm_hive\"]
      Returns:
        rangerServiceNames

    - #### setRangerServiceNames

          public void setRangerServiceNames(List<String> rangerServiceNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.